{% extends 'frame.html.twig' %}

{% block additional_headers %}
    <script src="{{ asset('bundles/app/js/make_dynamic_request.js') }}"></script>
{% endblock %}

{% block body %}
    {% include 'widgets/ajax_token.html.twig' %}
    <div class="left_content">

        <div class="general_list_header">{{ 'Awaits confirmation' | trans }}</div>
        <div class="table_wrapper">
            <div class="table">
                <div class="table_header general_list_row table_row">
                    <div class="general_list_cell table_cell">{{ 'Date' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'Timeslot' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'User' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'Job' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'Actions' | trans }}</div>
                </div>

                {% set no_data = false %}
                {% for shift in shifts if shift.state == constant('UNCONFIRMED', shift) %}
                    <div class="general_list_row table_row">
                        <div class="general_list_cell table_cell">{{ shift.timeslot.date|date("d. m. Y") }}</div>
                        <div class="general_list_cell table_cell">{{ shift.timeslot.beginTime|date("H:i") }} - {{ shift.timeslot.endTime|date("H:i") }}</div>
                        <div class="general_list_cell table_cell">{{ shift.user.name }} {{ shift.user.surname }}</div>
                        <div class="general_list_cell table_cell">{{ shift.timeslot.job.name }}</div>
                        <div class="general_list_cell table_cell">
                            {% include 'widgets/supervisor_shift_button.html.twig' with {'shift': shift} %}
                        </div>

                    </div>
                {% else %}
                    {% set no_data = true %}
                {% endfor %}

            </div>
            {% if no_data == true %}
                <div class="no_data">{{ 'No data' | trans }}</div>
            {% endif %}
        </div>

    </div>

    <div class="right_content">
        <div class="general_list_header">{{ 'Awaits cancellation' | trans }}</div>
        <div class="table_wrapper">
            <div class="table">
                <div class="table_header general_list_row table_row">
                    <div class="general_list_cell table_cell">{{ 'Date' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'Timeslot' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'User' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'Job' | trans }}</div>
                    <div class="general_list_cell table_cell">{{ 'Actions' | trans }}</div>
                </div>
                {% set no_data = false %}
                {% for shift in shifts if shift.state == constant('REQUIRES_CANCELLATION', shift) %}
                    <div class="general_list_row table_row">
                        <div class="general_list_cell table_cell">{{ shift.timeslot.date|date("d. m. Y") }}</div>
                        <div class="general_list_cell table_cell">{{ shift.timeslot.beginTime|date("H:i") }} - {{ shift.timeslot.endTime|date("H:i") }}</div>
                        <div class="general_list_cell table_cell">{{ shift.user.name }} {{ shift.user.surname }}</div>
                        <div class="general_list_cell table_cell">{{ shift.timeslot.job.name }}</div>
                        <div class="general_list_cell table_cell">
                           {% include 'widgets/supervisor_shift_button.html.twig' with {'shift': shift} %}
                        </div>
                    </div>
                {% else %}
                    {% set no_data = true %}
                {% endfor %}


            </div>
            {% if no_data == true %}
                <div class="no_data">{{ 'No data' | trans }}</div>
            {% endif %}
        </div>
    </div>


{% endblock %}
